- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Classes
MappableBpGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseBpGraphComponent>
class lemon::concepts::MappableBpGraphComponent< BAS >

This class describes the interface of mappable undirected bipartite graphs. It extends MappableGraphComponent with the standard graph map class for red and blue nodes (`RedNodeMap` and BlueNodeMap). This concept is part of the BpGraph concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for MappableBpGraphComponent< BAS >:
[legend]

## Classes
class | BlueNodeMap
| Standard graph map for the blue nodes. More...
class | RedNodeMap
| Standard graph map for the red nodes. More...